<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/install/config.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined('_JEXEC') or die('Restricted access');
class JmylifeInstallerDefaultConfiguration
{
	function get() {
		// for order counter
		$i = array();
		$j = 0;
		for(;$j<15;$j++) $i[] = 0;
		// start config
		// field_name, default, group, subgroup, ordering, type, label, description, language
		return array(
// this section used for hidden values, not for end user usage
array("last_update_check", time(), "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "hidden", "COM_JMYLIFE_CONFIGURATION_LABEL_LASTUPDATECHECK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_LASTUPDATECHECK"), /* since 1.0.11 */
array("needs_update", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "hidden", "COM_JMYLIFE_CONFIGURATION_LABEL_NEEDSUPDATE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NEEDSUPDATE"), /* since 1.0.11 */

// administration tab
array("jmylife_name", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SITENAME', false), "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_SITENAME", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SITENAME" ),
array("jmylife_desc", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SITEDESC', false), "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "textarea", "COM_JMYLIFE_CONFIGURATION_LABEL_SITEDESC", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SITEDESC" ), /* since 1.0.8 */
array("page_limit", "10", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_PAGELIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_PAGELIMIT" ),
array("show_signupitem", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SHOWSIGNUPLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHOWSIGNUPLINK" ), /* since 1.0.5 */
array("signupitem", "", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "menuitem", "COM_JMYLIFE_CONFIGURATION_LABEL_SIGNUPLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SIGNUPLINK" ),
array("show_feed_link", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SHOWFEEDS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHOWFEEDS" ), /* since 1.0.8 */
array("show_feed_link_in_story", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SHOWFEEDSINSTORY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHOWFEEDSINSTORY" ), /* since 1.0.8 */
array("sef_storyslug", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SEFSLUG", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SEFSLUG" ), /* since 1.0.11 */
array("disable_text_editors", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_DISABLEEDITORS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_DISABLEEDITORS" ), /* since 1.0.11 */
array("uninstall_droptables", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_UNINSTALLDATABASE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_UNINSTALLDATABASE" ), /* since 1.0.10 */
array("uninstall_removemodules", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_UNINSTALLMODULES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_UNINSTALLMODULES" ), /* since 1.0.10 */
array("uninstall_removeimages", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ADMINISTRATION", "", ++$i[0], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_UNINSTALLIMAGES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_UNINSTALLIMAGES" ), /* since 1.0.13 */

array("autopublish_stories", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_AUTOPUBLISHSTORIES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_AUTOPUBLISHSTORIES"),
array("user_stories_only", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_USERONLY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_USERONLY"), /* since 1.0.4 */
array("force_user_name", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FORCEUSERNAME", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FORCEUSERNAME"), /* since 1.0.9 */
array("force_user_username", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FORCEUSERUSERNAME", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FORCEUSERUSERNAME"), /* since 1.0.10 */
array("badwords_filter", "", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "", ++$i[1], "textarea", "COM_JMYLIFE_CONFIGURATION_LABEL_BADWORDS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BADWORDS"), /* since 1.0.11 */
array("allow_titles", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_TITLES", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWTITLES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWTITLES"), /* since 1.0.5 */
array("require_titles", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_TITLES", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_REQUIRETITLES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_REQUIRETITLES"), /* since 1.0.5 */
array("link_titles", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_TITLES", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_LINKTITLES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_LINKTITLES"), /* since 1.0.5 */
array("allow_votes", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWVOTES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWVOTES"), /* since 1.0.5 */
array("allow_votes_guests", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWGUESTVOTES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWGUESTVOTES"), /* since 1.0.13 */
array("block_votes_by_ip", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_BLOCKVOTEBYIP", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BLOCKVOTEBYIP"), /* since 1.0.13 */
array("good_votes_only", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_GOODVOTES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_GOODVOTES"), /* since 1.0.11 */
array("allow_user_moderation", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATION", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWMODERATION", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWMODERATION"), /* since 1.0.11 */
array("allow_guest_moderation", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATION", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWGUESTMODERATION", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWGUESTMODERATION"), /* since 1.0.11 */
array("moderate_limit", "10", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATION", ++$i[1], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_MODERATIONLIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_MODERATIONLIMIT"), /* since 1.0.11 */
array("moderate_publish_on_limit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATION", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_MODERATIONPUBLISHONLIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_MODERATIONPUBLISHONLIMIT"), /* since 1.0.11 */
array("moderate_reportlink", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATION", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_MODERATIONREPORTLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_MODERATIONREPORTLINK"), /* since 1.0.11 */
array("frontend_edit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FRONTENDEDIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FRONTENDEDIT"), /* since 1.0.16 */
array("frontend_edit_user", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FRONTENDEDITUSER", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FRONTENDEDITUSER"), /* since 1.0.16 */
array("frontend_edit_group", "20", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "usergroup", "COM_JMYLIFE_CONFIGURATION_LABEL_FRONTENDEDITGROUP", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FRONTENDEDITGROUP"), /* since 1.0.16 */
array("edit_category", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITCATEGORY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITCATEGORY"), /* since 1.0.16 */
array("edit_username", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITUSERNAME", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITUSERNAME"), /* since 1.0.16 */
array("edit_email", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITEMAIL", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITEMAIL"), /* since 1.0.16 */
array("edit_options", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITOPTIONS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITOPTIONS"), /* since 1.0.16 */
//array("edit_attachments", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_EDIT", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITATTACHMENTS"), /* since 1.0.16 */
array("story_list_limit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LIMITS", ++$i[1], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLISTLIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLISTLIMIT"), /* since 1.0.9 */
array("story_list_limit_max_readmore", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LIMITS", ++$i[1], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLISTLIMITREADMORE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLISTLIMITREADMORE"), /* since 1.0.9 */
array("title_meta_limit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LIMITS", ++$i[1], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYTITLEMETALIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYTITLEMETALIMIT"), /* since 1.0.8 */
array("story_meta_limit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_STORIES", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LIMITS", ++$i[1], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYMETALIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYMETALIMIT"), /* since 1.0.8 */


array("allow_comments", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWCOMMENTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWCOMMENTS"), /* since 1.0.5 */
array("comment_counts", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTCOUNTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_COMMENTCOUNTS"), /* since 1.0.8 */
array("show_comment_balloon", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_BALLOON", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BALLOON"), /* since 1.0.10 */
array("comment_balloon_count", "5", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "", ++$i[2], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_BALLOONCOUNT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BALLOONCOUNT"), /* since 1.0.10 */
array("comment_balloon_width", "400", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "", ++$i[2], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_BALLOONWIDTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BALLOONWIDTH"), /* since 1.0.10 */
array("comment_balloon_length", "200", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "", ++$i[2], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_BALLOONLENGTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BALLOONLENGTH"), /* since 1.0.10 */
array("comment_engine", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "", ++$i[2], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTENGINE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_COMMENTENGINE"), /* since 1.0.5 */
array("comment_pagination", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CORE", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTPAGINATION", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_COMMENTPAGINATION"), /* since 1.0.9 */
array("autopublish_comments", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CORE", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_AUTOPUBLISHCOMMENTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_AUTOPUBLISHCOMMENTS"),
array("warning_level", "10", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CORE", ++$i[2], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTWARNINGLEVEL", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_COMMENTWARNINGLEVEL"),
array("comment_username", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CORE", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTUSERNAME", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_COMMENTUSERNAME"), /* since 1.0.6 */
array("disqus_shortname", "", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_DISQUS", ++$i[2], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_DISQUSSHORTNAME", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_DISQUSSHORTNAME"), /* since 1.0.11 */
array("disqus_api_key", "", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_DISQUS", ++$i[2], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_DISQUSAPIKEY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_DISQUSAPIKEY"), /* since 1.0.11 */
array("disqus_forum_key", "", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_DISQUS", ++$i[2], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_DISQUSFORUMKEY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_DISQUSFORUMKEY"), /* since 1.0.11 */
array("disqus_developer", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_DISQUS", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_DISQUSDEVELOPER", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_DISQUSDEVELOPER"), /* since 1.0.11 */
array("jomcomment_hide_disabled", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JOMCOMMENT", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JOMCOMMENTHIDEDISABLED", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JOMCOMMENTHIDEDISABLED"), /* since 1.0.12 */
array("jomcomment_tools", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JOMCOMMENT", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JOMCOMMENTTOOLS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JOMCOMMENTTOOLS"), /* since 1.0.12 */
array("jomcomment_cache", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JOMCOMMENT", ++$i[2], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JOMCOMMENTCACHE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JOMCOMMENTCACHE"), /* since 1.0.12 */

array("footer_toggle", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FOOTERTOGGLE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FOOTERTOGGLE"), /* since 1.0.2 */
array("favoritelink", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FAVORITESLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FAVORITESLINK"), /* since 1.0.9 */
array("reportlink", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_REPORTLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_REPORTLINK"), /* since 1.0.10 */
array("powered_by", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_POWEREDBY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_POWEREDBY"), /* since 1.0.4 */
array("site_description", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SHOWSITEDESC", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHOWSITEDESC"), /* since 1.0.11 */
array("category_description", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SHOWCATDESC", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHOWCATDESC"), /* since 1.0.11 */
array("break_long_words", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_BREAKLONG", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BREAKLONG"), /* since 1.0.4 */
array("story_background", "efefef", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STYLE", ++$i[3], "color", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYBACKGROUND", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYBACKGROUND"), /* since 1.0.8 */
array("site_roundies", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STYLE", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ROUNDIES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ROUNDIES"), /* since 1.0.8 */
array("ie_roundies", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STYLE", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ROUNDIESIE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ROUNDIESIE"), /* since 1.0.2 */
array("roundies_radius", "4", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STYLE", ++$i[3], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_ROUNDIESRADIUS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ROUNDIESRADIUS"), /* since 1.0.8 */
array("graphical_voting", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STYLE", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_GRAPHICALVOTING", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_GRAPHICALVOTING"), /* since 1.0.10 */
array("graphical_voting_size", "48", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STYLE", ++$i[3], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_GRAPHICALVOTINGSIZE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_GRAPHICALVOTINGSIZE"), /* since 1.0.10 */array("sharethislink", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SHARETHIS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHARETHIS"), /* since 1.0.10 */
array("sharethislinkcode", "", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SHARING", ++$i[3], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_SHARETHISCODE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHARETHISCODE"), /* since 1.0.10 */
array("sharethislayout", "", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SHARING", ++$i[3], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_SHARETHISLAYOUT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SHARETHISLAYOUT"), /* since 1.0.13 */
array("fblink", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SHARING", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FACEBOOK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FACEBOOK"),
array("fbmodal", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SHARING", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_FACEBOOKMODAL", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_FACEBOOKMODAL"), /* since 1.0.4 */
array("twitlink", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SHARING", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_TWITTER", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_TWITTER"), /* since 1.0.4 */
array("sendfriendlink", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SHARING", ++$i[3], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_SENDTOFRIENDLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SENDTOFRIENDLINK"), /* since 1.0.9 */
array("sendfriend_buttontext", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SENDTOFRIENDBUTTONTEXT'), "COM_JMYLIFE_CONFIGURATION_GROUP_LAYOUT", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SHARING", ++$i[3], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_SENDTOFRIENDBUTTONTEXT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SENDTOFRIENDBUTTONTEXT"), /* since 1.0.9 */


// these items moved to "Submission Form" tab in 1.0.9
array("submissionredirect", "", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "menuitem", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMISSIONREDIRECT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SUBMISSIONREDIRECT"), /* since 1.0.4 */
array("use_bbcode", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_BBCODE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_BBCODE"), /* since 1.0.9 */
array("use_wysiwyg", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_WYSIWYG", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_WYSIWYG"), /* since 1.0.9 */
array("wysiwyg_links", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_WYSIWYGLINKS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_WYSIWYGLINKS"), /* since 1.0.11 */
array("wysiwyg_links_blank", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_WYSIWYGLINKSBLANK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_WYSIWYGLINKSBLANK"), /* since 1.0.11 */
array("wysiwyg_links_nofollow", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_WYSIWYGLINKSNOFOLLOW", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_WYSIWYGLINKSNOFOLLOW"), /* since 1.0.11 */
array("wysiwyg_images", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_WYSIWYGIMAGES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_WYSIWYGIMAGES"), /* since 1.0.11 */
array("wysiwyg_list", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_WYSIWYGLISTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_WYSIWYGLISTS"), /* since 1.0.11 */
array("wysiwyg_color", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_WYSIWYGCOLOR", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_WYSIWYGCOLOR"), /* since 1.0.11 */
array("editor_width", "300", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITORWIDTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITORWIDTH"), /* since 1.0.9 */
array("editor_height", "180", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITORHEIGHT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITORHEIGHT"), /* since 1.0.9 */
array("editor_limit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITORLIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITORLIMIT"), /* since 1.0.14 */
array("disable_resize", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_DISABLERESIZE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_DISABLERESIZE"), /* since 1.0.9 */
array("captcha_engine", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "", ++$i[4], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_CAPTCHAENGINE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CAPTCHAENGINE"), /* since 1.0.11 */
/*	REMOVE!	*/array("recaptcha_enabled", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_RECAPTCHA", ++$i[4], "hidden", "Enable ReCaptcha", ""), /* depreciated in 1.0.11 */
array("recaptcha_public_key", "", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_RECAPTCHA", ++$i[4], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_RECAPTCHAPUBLICKEY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_RECAPTCHAPUBLICKEY"),
array("recaptcha_private_key", "", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_RECAPTCHA", ++$i[4], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_RECAPTCHAPRIVATEKEY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_RECAPTCHAPRIVATEKEY" ),
array("recaptcha_theme", "red", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_RECAPTCHA", ++$i[4], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_RECAPTCHATHEME", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_RECAPTCHATHEME"), /* since 1.0.9 */
array("captchasnet_client", "", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CAPTCHASNET", ++$i[4], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_CAPTCHASNETCLIENT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CAPTCHASNETCLIENT"), /* since 1.0.11 */
array("captchasnet_secret", "", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CAPTCHASNET", ++$i[4], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_CAPTCHASNETSECRET", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CAPTCHASNETSECRET"), /* since 1.0.11 */
array("captchasnet_count", "6", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CAPTCHASNET", ++$i[4], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_CAPTCHASNETCOUNT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CAPTCHASNETCOUNT"), /* since 1.0.11 */
array("captchasnet_width", "240", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CAPTCHASNET", ++$i[4], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_CAPTCHASNETWIDTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CAPTCHASNETWIDTH"), /* since 1.0.11 */
array("captchasnet_height", "80", "COM_JMYLIFE_CONFIGURATION_GROUP_SUBMISSIONS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CAPTCHASNET", ++$i[4], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_CAPTCHASNETHEIGHT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CAPTCHASNETHEIGHT" ), /* since 1.0.11 */

// these items moved to "Language" tab in 1.0.8
array("readmore_text", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_READMORE'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STORY", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_READMORE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_READMORE"), /* since 1.0.9 */
array("story_pretext", "", "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STORY", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_PRETEXT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_PRETEXT"), /* since 1.0.6 */
array("story_posttext", "", "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STORY", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_POSTTEXT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_POSTTEXT"), /* since 1.0.6 */
array("default_admin_response", "", "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_STORY", ++$i[5], "textarea", "COM_JMYLIFE_CONFIGURATION_LABEL_DEFAULTADMINRESPONSE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_DEFAULTADMINRESPONSE"), /* since 1.0.6, textarea since 1.0.8 */
array("votegood_text", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_VOTEGOOD'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_VOTEGOOD", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_VOTEGOOD"), /* since 1.0.4 */
array("votegoodresponse_text", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_VOTEGOODRESPONSE'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_VOTEGOODRESPONSE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_VOTEGOODRESPONSE"), /* since 1.0.4 */
array("votebad_text", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_VOTEBAD'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_VOTEBAD", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_VOTEBAD"), /* since 1.0.4 */
array("votebadresponse_text", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_VOTEBADRESPONSE'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_VOTING", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_VOTEBADRESPONSE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_VOTEBADRESPONSE"), /* since 1.0.4 */
array("submission_pretext", "", "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SUBMISSIONS", ++$i[5], "textarea", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMITPRETEXT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SUBMITPRETEXT"), /* since 1.0.7, textarea since 1.0.8 */
array("submission_posttext", "", "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SUBMISSIONS", ++$i[5], "textarea", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMITPOSTTEXT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SUBMITPOSTTEXT"), /* since 1.0.7, textarea since 1.0.8 */
array("submission_buttontext", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SUBMITBUTTONTEXT'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SUBMISSIONS", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMITBUTTONTEXT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SUBMITBUTTONTEXT"), /* since 1.0.9 */
array("moderation_button_yes", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_MODERATIONYES'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATE", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_MODERATIONYES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_MODERATIONYES"), /* since 1.0.11 */
array("moderation_button_no", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_MODERATIONNO'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATE", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_MODERATIONNO", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_MODERATIONNO"), /* since 1.0.11 */
array("moderation_howto_link", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_MODERATIONHOWTOLINK'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATE", ++$i[5], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_MODERATIONHOWTOLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_MODERATIONHOWTOLINK"), /* since 1.0.11 */
array("moderation_howto", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_MODERATIONHOWTO'), "COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_MODERATE", ++$i[5], "editor", "COM_JMYLIFE_CONFIGURATION_LABEL_MODERATIONHOWTO", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_MODERATIONHOWTO"), /* since 1.0.11 */

// custom css added in 1.0.9
array("css_custom_published", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_CSS", "", ++$i[6], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_CUSTOMCSSPUBLISHED", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CUSTOMCSSPUBLISHED"), /* since 1.0.9 */
array("css_custom_styles", "", "COM_JMYLIFE_CONFIGURATION_GROUP_CSS", "", ++$i[6], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_CUSTOMCSS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CUSTOMCSS"), /* since 1.0.9 */

// email added in 1.0.9
array("email_enabled", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_EMAILENABLED", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EMAILENABLED"),
array("email_to", "change@me.com", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_EMAILTO", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EMAILTO"),
array("guest_email", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_GUESTEMAIL", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_GUESTEMAIL"), /* since 1.0.9 */
array("notify_stories", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYSTORIES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYSTORIES"),
array("notify_author_stories", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYAUTHORSTORIES", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYAUTHORSTORIES"), /* since 1.0.9 */
array("notify_comments", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYCOMMENTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYCOMMENTS"),
array("notify_author_comments", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYAUTHORCOMMENTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYAUTHORCOMMENTS"), /* since 1.0.9 */
array("notify_comment_comments", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYCOMMENTCOMMENTS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYCOMMENTCOMMENTS"), /* since 1.0.9 */
array("notify_warning", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYWARN", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYWARN"), /* since 1.0.4 */
array("notify_any_warning", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYANYWARN", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYANYWARN"), /* since 1.0.9 */
array("moderate_notify", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_NOTIFYMODERATION", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_NOTIFYMODERATION"), /* since 1.0.11 */
array("sendfriend_guests", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_EMAIL", "", ++$i[7], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_GUESTSENDTOFRIEND", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_GUESTSENDTOFRIEND"), /* since 1.0.9 */

// email texts added in 1.0.11
array("emailtext_submissionapproved_subject", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SUBMISSIONAPPROVEDSUBJECT'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SUBAPPROVED", ++$i[8], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMISSIONAPPROVEDSUBJECT", ""),
array("emailtext_submissionapproved_body", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SUBMISSIONAPPROVEDBODY'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SUBAPPROVED", ++$i[8], "editor", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMISSIONAPPROVEDBODY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SUBMISSIONAPPROVEDBODY"),
array("emailtext_submissionpending_subject", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SUBMISSIONPENDINGSUBJECT'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SUBPENDING", ++$i[8], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMISSIONPENDINGSUBJECT", ""),
array("emailtext_submissionpending_body", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SUBMISSIONPENDINGBODY'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SUBPENDING", ++$i[8], "editor", "COM_JMYLIFE_CONFIGURATION_LABEL_SUBMISSIONPENDINGBODY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SUBMISSIONPENDINGBODY"),
array("emailtext_commentsubscriber_subject", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_COMMENTSUBSCRIBERSUBJECT'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMSUBSCRIBED", ++$i[8], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTSUBSCRIBERSUBJECT", ""),
array("emailtext_commentsubscriber_body", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_COMMENTSUBSCRIBERBODY'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMSUBSCRIBED", ++$i[8], "editor", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTSUBSCRIBERBODY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_COMMENTSUBSCRIBERBODY"),
array("emailtext_sendfriend_subject", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SENDTOFRIENDSUBJECT'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SENDFRIEND", ++$i[8], "text", "COM_JMYLIFE_CONFIGURATION_LABEL_SENDTOFRIENDSUBJECT", ""),
array("emailtext_sendfriend_body", JText::_('COM_JMYLIFE_CONFIGURATION_DEFAULT_SENDTOFRIENDBODY'), "COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_SENDFRIEND", ++$i[8], "editor", "COM_JMYLIFE_CONFIGURATION_LABEL_SENDTOFRIENDBODY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SENDTOFRIENDBODY"),

// Community added in 1.0.9
array("social_engine", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "", ++$i[9], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_SOCIALENGINE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_SOCIALENGINE"),
array("jawards", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JAWARDS", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JAWARDS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JAWARDS"), /* since 1.0.13 */
array("jawards_icon_count", "5", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JAWARDS", ++$i[9], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_JAWARDSICONCOUNT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JAWARDSICONCOUNT"), /* since 1.0.13 */
array("jawards_icon_width", "32", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JAWARDS", ++$i[9], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_JAWARDSICONWIDTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JAWARDSICONWIDTH"), /* since 1.0.13 */
array("jawards_icon_height", "32", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JAWARDS", ++$i[9], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_JAWARDSICONHEIGHT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JAWARDSICONHEIGHT"), /* since 1.0.13 */
array("show_story_avatar", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMMON", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYAVATAR", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYAVATAR"), /* since 1.0.9 */
array("link_story_avatar", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMMON", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_LINKSTORYAVATAR", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_LINKSTORYAVATAR"), /* since 1.0.9 */
array("link_story_author", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMMON", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_LINKSTORYAUTHOR", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_LINKSTORYAUTHOR"), /* since 1.0.9 */
array("show_comment_avatar", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMMON", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_COMMENTAVATAR", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_COMMENTAVATAR"), /* since 1.0.9 */
array("link_comment_avatar", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMMON", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_LINKCOMMENTAVATAR", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_LINKCOMMENTAVATAR"), /* since 1.0.9 */
array("link_comment_author", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMMON", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_LINKCOMMENTAUTHOR", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_LINKCOMMENTAUTHOR"), /* since 1.0.9 */
array("disable_avatar_alt", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_COMMON", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_AVATARALTTAGS", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_AVATARALTTAGS"), /* since 1.0.10 */
array("cbextra", "N;", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_CB", ++$i[9], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_CBEXTRA", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_CBEXTRA"), /* since 1.0.11 */
array("jomsocial_activities_stories", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JS", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JSACTIVITYSTORY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JSACTIVITYSTORY"), /* since 1.0.12 */
array("jomsocial_activities_stories_guest", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JS", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JSACTIVITYGUESTSTORY", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JSACTIVITYGUESTSTORY" ), /* since 1.0.12 */
array("jomsocial_activities_comments", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JS", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JSACTIVITYCOMMENT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JSACTIVITYCOMMENT"), /* since 1.0.12 */
array("jomsocial_activities_favorites", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_COMMUNITY", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_JS", ++$i[9], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_JSACTIVITYFAVORITE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_JSACTIVITYFAVORITE"), /* since 1.0.12 */

// attachments added in 1.0.13
array("allow_storyattachment", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWATTACHMENT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWATTACHMENT"), /* since 1.0.13 */
array("allow_attachment_blankstory", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWBLANK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWBLANK"), /* since 1.0.13 */
array("storyattachment_list", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYATTACHMENTLIST", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYATTACHMENTLIST"), /* since 1.0.13 */
array("allow_storyattachment_link", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWATTACHMENTLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWATTACHMENTLINK"), /* since 1.0.13 */
array("storylink_editable", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_EDITABLESTORYLINK", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_EDITABLESTORYLINK"), /* since 1.0.13 */
array("storylink_unique", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKUNIQUE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKUNIQUE"), /* since 1.0.13 */
array("storylink_header_height", "120", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKHEADERHEIGHT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKHEADERHEIGHT"), /* since 1.0.13 */
array("storylink_header_logo", "", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "special", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKHEADERLOGO", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKHEADERLOGO"), /* since 1.0.13 */
array("storylink_title_limit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKTITLELIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKTITLELIMIT"), /* since 1.0.13 */
array("storylink_desc_allow", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWATTACHMENTLINKDESC", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWATTACHMENTLINKDESC"), /* since 1.0.13 */
array("storylink_desc_limit", "0", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKDESCRIPTIONLIMIT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKDESCRIPTIONLIMIT"), /* since 1.0.13 */
array("storylink_thumbnail", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKTHUMBNAIL", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKTHUMBNAIL"), /* since 1.0.13 */
array("storylink_thumbwidth", "100", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKTHUMBWIDTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKTHUMBWIDTH"), /* since 1.0.13 */
array("storylink_thumbheight", "100", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_LINK", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYLINKTHUMBHEIGHT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYLINKTHUMBHEIGHT"), /* since 1.0.13 */
array("allow_storyattachment_image", "1", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_IMAGE", ++$i[10], "radio", "COM_JMYLIFE_CONFIGURATION_LABEL_ALLOWATTACHMENTIMAGE", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_ALLOWATTACHMENTIMAGE"), /* since 1.0.13 */
array("storyimage_thumbwidth", "300", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_IMAGE", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYIMAGETHUMBWIDTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYIMAGETHUMBWIDTH"), /* since 1.0.13 */
array("storyimage_thumbheight", "200", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_IMAGE", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYIMAGETHUMBHEIGHT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYIMAGETHUMBHEIGHT"), /* since 1.0.13 */
array("storyimage_width", "500", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_IMAGE", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYIMAGEWIDTH", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYIMAGEWIDTH"), /* since 1.0.13 */
array("storyimage_height", "400", "COM_JMYLIFE_CONFIGURATION_GROUP_ATTACHMENTS", "COM_JMYLIFE_CONFIGURATION_SUBGROUP_IMAGE", ++$i[10], "int", "COM_JMYLIFE_CONFIGURATION_LABEL_STORYIMAGEHEIGHT", "COM_JMYLIFE_CONFIGURATION_DESCRIPTION_STORYIMAGEHEIGHT") /* since 1.0.13 */

// all done!
);

	}
}
