<?php
/**
 * Categories Default Item Layout for JMyLife Component
 *
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/categories/tmpl/default_item.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @since      1.0.11
 */
// No direct access
defined('_JEXEC') or die('Restricted access'); ?>
<div class="comJMyLifeItem jmylifeRound" <?php echo $this->curitem->style; ?>>
	<div class="comJMyLifeItemTitle">
		<a href="<?php echo $this->curitem->link; ?>"><?
			echo $this->curitem->name;
			if( $this->params->get( 'showcounts', 1 ) ) echo ' ('.$this->curitem->count.')';
		?></a>
	</div><?php
	if( $this->params->get( 'showcatsdesc', 1 ) ) : ?>
	<div class="comJMyLifeItemText"><?php
		echo $this->curitem->description;
	?></div><?php
	endif; ?>
</div>