<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/categories/view.html.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @since      1.0.11
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
// imports
jimport( 'joomla.application.component.view' );

/**
 * HTML View class JmylifeViewCategories
 *
 * @package    JMyLife
 */

class JmylifeViewCategories extends JView
{
	function display( $tpl = null )
	{
		$_JMLConfig = JmylifeConfiguration::getInstance();

		if( $_JMLConfig->getInt( 'show_feed_link' ) == 1 )
		{
			$document =& JFactory::getDocument();
			$link = 'index.php?option=com_jmylife&view=list&catid=0&format=feed&limitstart=';
			$attribs = array( 'type' => 'application/rss+xml', 'title' => 'RSS 2.0' );
			$document->addHeadLink( JRoute::_( $link.'&type=rss', false ), 'alternate', 'rel', $attribs );
			$attribs = array( 'type' => 'application/atom+xml', 'title' => 'Atom 1.0' );
			$document->addHeadLink( JRoute::_( $link.'&type=atom', false ), 'alternate', 'rel', $attribs );
		}

		// Get data from the model
		$pagination =& $this->get( 'Pagination' );
		$categories =& $this->get( 'Categories' );
		$params     =& JComponentHelper::getParams( 'com_jmylife' );
		$color      =  '#'.$_JMLConfig->get( 'story_background' );
		$desc       =  $_JMLConfig->get( 'jmylife_desc' );
		$title      =  $_JMLConfig->get( 'jmylife_name' );
		$fields     =  $this->get( 'Fields' );

		// push data into the template
		$this->assignRef( 'color',       $color );
		$this->assignRef( 'title',       $title );
		$this->assignRef( 'description', $desc );
		$this->assignRef( 'pagination',  $pagination );
		$this->assignRef( 'categories',  $categories );
		$this->assignRef( 'fields',      $fields );
		$this->assignRef( 'params',      $params );
		$this->assignRef( 'cparams',     $_JMLConfig );

		parent::display( $tpl );
	}
}