<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/favorites/view.html.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
// imports
jimport( 'joomla.application.component.view' );

/**
 * HTML View Favorites class for the JMyLife Component
 *
 * @package    JMyLife
 */

class JmylifeViewFavorites extends JView
{
	function display( $tpl = null )
	{
		$_JMLConfig = JmylifeConfiguration::getInstance();

		// Get data from the model
		$items =& $this->get( 'Data' );
		$pagination =& $this->get( 'Pagination' );
		$fields =& $this->get( 'Fields' ); // fixed in 1.0.2

		// push data into the template
		$this->assignRef( 'items', $items );
		$this->assignRef( 'pagination', $pagination );
		$this->assignRef( 'fields', $fields );
		// since 1.0.5
		// pass-by-reference removed in 1.0.6
		$this->assignRef( 'params', $_JMLConfig );

		JLoader::import('components.com_jmylife.helpers.url', JPATH_ADMINISTRATOR, '');
		$url = JmylifeUrlHelper::getInstance();
		$this->assignRef('url', $url);

		parent::display( $tpl );
	}
}