<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/item/tmpl/default_comment.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined('_JEXEC') or die('Restricted access');
$document =& JDocument::getInstance();
$isBlocked = (int)$this->curcomment->warninglevel >= $this->params->getInt('warning_level');
$comment_id = $this->curcomment->id;
$comment_time = $this->curcomment->time;
if (strlen($this->curcomment->profile_path) && $this->params->getInt('social_engine', 0) && $this->params->getInt('link_comment_author')) {
	$author = '<a href="'.$this->curcomment->profile_path.'">'.$this->curcomment->author.'</a>';
} else {
	$author = $this->curcomment->author;
}
?>
<div class="comJMyLifeComment jmylifeRound" id="jmylifeComment<?php echo $comment_id; ?>" <?php echo $this->item->style; ?>>
	<a name="comment<?php echo $comment_id; ?>"></a>
	<?php
		if ($isBlocked) {
			echo $this->html->link(JRoute::_('index.php?option=com_jmylife&controller=ajax&task=getcomment&id='.$comment_id.'&'.JUtility::getToken().'=1'), JText::_('COM_JMYLIFE_ERROR_COMMENT_TOOMANYWARNINGS'), array('class'=>'showBadComment'));
		}
	?>
	<div class="comJMyLifeCommentText">
		<?php echo $isBlocked ? '' : nl2br($this->curcomment->message); ?>
	</div>
	<div class="comJMyLifeCommentFooter">
		<?php
		$linkavatar = $this->params->getInt('social_engine', 0) && $this->params->getInt('link_comment_avatar', 0);
		if (($this->params->allow->cb || $this->params->allow->jomsocial) && $this->params->getInt('show_comment_avatar') && !$isBlocked): ?>
		<div class="comJMyLifeCommentAvatar"><?php
			if ($this->params->getInt('show_comment_avatar')): ?>
			<div class="comJMyLifeItemAvatar"><?php
				if ($linkavatar) : ?><a href="<?php echo $this->curcomment->profile_path; ?>"><?php endif; ?>
				<img src="<?php echo $this->curcomment->avatar_image; ?>" alt="<?php if (0 == $this->params->getInt('disable_avatar_alt')) echo $this->curcomment->author; ?>" /><?php
				if ($linkavatar) : ?></a><?php endif; ?>
			</div><?php
			endif; ?>
		</div>
		<?php endif; ?>
		<div class="comJMyLifeCommentAuthor">
			<?php
				echo $this->html->link(JRoute::_(JRequest::getURI(), false).'#comment'.$comment_id, "#{$this->curcomment->num}");
				echo "&nbsp;&nbsp;";
				echo JText::sprintf('COM_JMYLIFE_COMMENT_INFOFORMAT', date(JText::_('COM_JMYLIFE_COMMENT_DATEFORMAT'), $comment_time), date(JText::_('COM_JMYLIFE_COMMENT_TIMEFORMAT'), $comment_time), $author);
			?>
		</div>
		<?php if( !$isBlocked ) : ?>
		<div class="comJMyLifeCommentReport">
			<?php echo JmylifeCommon::reportcommentlink($this->curcomment); ?>
		</div>
		<?php endif; ?>
	</div>
</div>