<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/item/tmpl/header.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined('_JEXEC') or die('Restricted access'); ?>
<div id="jmlStoryLinkHeader">
	<div id="jmlStoryLinkHeaderClose"><a href="<?php echo $this->item->attachment_url; ?>" target="_top"><?php echo JText::_('COM_JMYLIFE_STORY_CLOSEFRAME'); ?></a></div>
	<div id="jmlStoryLinkHeaderLogo">
		<a href="<?php echo JURI::root(); ?>" target="_top"><img src="<?php echo $this->logo; ?>" alt="" /></a>
	</div>
	<div id="jmlStoryLinkHeaderContents">
		<h3><?php
			if (0 == strlen(trim($this->item->title))) {
				echo JmylifeCommon::shortenText( $this->item->attachment_url, 75 );
			} else {
				echo JmylifeCommon::shortenText( $this->item->title, 75 );
			}
		?></h3>
		<?php if ( $this->item->isExternal ) : ?>
		<span>
			<a href="<?php echo $this->item->storylink; ?>" target="_top"><?php echo JText::_('COM_JMYLIFE_STORY_SUBMITFORTHIS'); ?></a>
		</span>
		<?php else:?>
		<span>
			<?php echo JText::_('COM_JMYLIFE_STORY_POSTEDIN'); ?> : <a href="<?php echo $this->item->catlink; ?>" target="_top"><?php echo $this->item->catname; ?></a> |
			<a href="<?php echo $this->item->storylink; ?>" target="_top"><?php echo JText::_('COM_JMYLIFE_STORY_RETURN'); ?></a>
		</span>
		<?php endif; ?>
	</div>
	<?php if ( !$this->item->isExternal ) : ?>
	<div id="jmlStoryLinkHeaderComments">
		<?php if ( count( $this->latestcomments ) ) : ?>
		<ul>
			<?php foreach ( $this->latestcomments as $comment ) : ?>
			<li><?php echo $comment->message; ?></li>
			<?php endforeach; ?>
		</ul>
		<?php endif; ?>
	</div>
	<?php endif; ?>
</div>