<?php
/**
 * List Default Layout for JMyLife Component
 * 
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/list/tmpl/default.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined('_JEXEC') or die('Restricted access');
// styles for items
$_style = strlen( $this->color ) > 0 ? ' style="background-color: '.$this->color.';"' : '';
// only show description if enabled & inside a category
if( ( ( $this->params->getInt( 'category_description', 0 ) == 1 && JRequest::getInt( 'catid' ) > 0 ) || ( $this->params->getInt( 'site_description', 0 ) == 1 && JRequest::getInt( 'catid' ) == 0 ) ) && strlen( $this->description ) > 0 ):
?>
<div class="comJMyLifeItem jmylifeRound" <?php echo $_style; ?>>
	<?php echo $this->description; ?>
</div>
<?php endif; ?>
<form method="post" name="jmylifeForm" id="jmylifeForm" action="<?php echo JRoute::_( 'index.php' ); ?>">
<?php
// loop listings
if( sizeof( $this->items ) != 0 )
{
	foreach( $this->items as $item )
	{
		$this->curitem =& $item;
		echo $this->loadTemplate('item');
		unset( $this->curitem );
	}
}
// pagination footer
$_links = $this->pagination->getPagesLinks();
$_counter = $this->pagination->getPagesCounter();
if( strlen( $_links ) > 0 && strlen( $_counter ) > 0 ): ?>
<div class="comJMyLifeItem jmylifeRound" <?php echo $_style; ?>>
	<div class="comJMyLifePagesLinks"><?php echo $_links; ?></div>
	<div class="comJMyLifePagesCounter"><?php echo $_counter; ?></div>
</div>
<?php endif;
// hidden form fields
echo $this->fields; ?>
</form>
<?php
if( $this->params->getInt('comment_counts') == 1 && $this->params->allow->disqus ) :
?><script type="text/javascript">
//<![CDATA[
(function() {
	var links = document.getElementsByTagName('a');
	var query = '?';
	for (var i = 0; i < links.length; i++) {
		if (links[i].href.indexOf('#disqus_thread') >= 0) {
			query += 'url' + i + '=' + encodeURIComponent( "<?php echo $this->urlhelper->clean( JURI::root().'/index.php?option=com_jmylife&view=item&id=' ); ?>" + $(links[i]).getAttribute( 'rel' ) ) + '&';
		}
	}
	document.write('<script charset="utf-8" type="text/javascript" src="http://disqus.com/forums/<?php echo $this->params->get('disqus_shortname'); ?>/get_num_replies.js' + query + '"></' + 'script>');
})();
//]]>
</script><?php
endif;