<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * [installer]/jmylife.install.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @since      1.0.2
 *
 * fixes issues with Joomla 1.6
 * since 1.0.8, this file acts as a wrapper for the same file
 * included in the main admin directory
 * pre-1.5.10 Joomla installs expect the install file to be in
 * administrator/com_jmylife/jmylife.install.php
 * whereas 1.6 alpha expects this file to be in the root of the install zip
 * post-1.5.10 finds it no matter which place you use
 */
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$installFile = $this->parent->getPath('source').DS.'jmylife.install.php';
if (JFile::exists($installFile)) {
	require_once ($installFile);
} else {
	echo 'ERROR: Could not find install file!';
}