<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/views/comments/tmpl/default.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo JmylifeCommon::updateBar();
// since 1.0.5 warn if comments are disabled
if( (int)( $this->cparams->get('allow_comments') ) == 0 ): ?>
<h3 style="color:red !important;"><?php echo JText::_('COM_JMYLIFE_COMMENT_WARN_DISABLED'); ?></h3><?php
endif;
// since 1.0.5 warn if 3rd party comments are enabled
if( (int)( $this->cparams->get('comment_engine') ) != 0 ): ?>
<h3 style="color:red !important;"><?php echo JText::_('COM_JMYLIFE_COMMENT_WARN_THIRDPARTY'); ?></h3><?php
endif;
?>
<form id="adminForm" action="<?php echo JRoute::_( 'index.php' );?>" method="post" name="adminForm">
<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<th width="10">
				<?php echo JText::_( 'COM_JMYLIFE_CORE_NUM' ); ?>
			</th>
			<th class="title" nowrap="nowrap" align="left">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_COMMENT_TITLE_TEXT'), 'c.message', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th class="title" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_COMMENT_TITLE_AUTHOR'), 'c.author', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th class="title" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_COMMENT_TITLE_STORY'), 'c.sid', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th class="title" width="5%">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_PUBLISHED'), 'c.published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th class="title" width="15" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_COMMENT_TITLE_WARNINGS'), 'warninglevel', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th class="title" width="15" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_COMMENT_TITLE_STORYID'), 'c.sid', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th align="center" width="10">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_DATE'), 'c.time', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="10" class="title">
				<?php echo JHTML::_('grid.sort', JText::_('COM_JMYLIFE_CORE_ID'), 'c.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="10">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php
			$k = 0;
			for( $i=0, $n=count( $this->items ); $i < $n; $i++ )
			{
				$row =& $this->items[$i];
				$checked = JHTML::_( 'grid.id', $i, $row->id );
				$published = JHTML::_('grid.published', $row, $i );
				$date = date(JText::_('COM_JMYLIFE_COMMENT_DATEFORMAT'), $row->time); ?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
						<?php echo $this->pagination->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $this->html->link(JRoute::_('index.php?option=com_jmylife&view=comments&task=edit&controller=comments&cid='.$row->id, false), $row->message); ?>
					</td>
					<td>
						<?php echo $this->html->clean($row->author); ?>
					</td>
					<td>
						<?php echo $this->html->link(JRoute::_('index.php?option=com_jmylife&view=moderate&task=edit&controller=moderate&cid='.$row->sid, false), $row->storytext); ?>
					</td>
					<td>
						<?php echo $published; ?>
					</td>
					<td>
						<?php echo $row->warninglevel; ?>
					</td>
					<td>
						<?php echo $row->sid; ?>
					</td>
					<td>
						<?php echo $date; ?>
					</td>
					<td>
						<?php echo $row->id; ?>
					</td>
				</tr>
		<?php
			}
		?>
	</tbody>
</table>
<input type="hidden" name="option" value="com_jmylife" />
<input type="hidden" name="view" value="comments" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="comments" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
<input type="hidden" name="boxchecked" value="0" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>