<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/views/configuration/tmpl/default.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo JmylifeCommon::updateBar(); ?>
<form id="adminForm" action="<?php echo JRoute::_( 'index.php' );?>" method="post" name="adminForm">
<table class="adminlist" width="100%">
	<tbody>
		<tr>
			<td>
				<div id="jmlConfiguration">
					<div id="jmlConfigTabContents"><?php
						$k = 0;
						$group = '';
						$subgroup = '';
						echo $this->pane->startPane("content-pane");
						for ($i=0, $n=count($this->config); $i < $n; $i++) {
							$row =& $this->config[$i];
							if( $row->type == 'hidden' ) continue;
							// split
							if( $row->group != $group ) :
								$group = $row->group;
								echo $this->pane->startPanel(JText::_($row->group), "configuration-panel-".strtolower($row->group));
							 ?>
							<table class="adminlist" width="100%">
								<tbody><?php
							endif;
							if (0 < strlen($row->subgroup) && $row->subgroup != $subgroup) :
								if (0 == strlen($subgroup)) :
							?>
									<tr>
										<td colspan="3">
							<?php
									echo $this->slider->startPane('content-slider-'.strtolower($row->group));
								endif;
								$subgroup = $row->subgroup;
								echo $this->slider->startPanel(JText::_($row->subgroup), 'content-slider-'.strtolower($row->subgroup));
							?>
											<table border="0" width="100%">
												<tbody>
							<?php
							endif;
							?>
									<tr class="<?php echo "row$k"; ?>">
										<td valign="top" width="<?php
											echo in_array($row->group, array('COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS', 'COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE')) ? '175' : '275';
										?>">
											<?php echo JText::_($row->label.''); ?>
										</td>
										<td valign="top" width="<?php
											echo in_array($row->group, array('COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS', 'COM_JMYLIFE_CONFIGURATION_GROUP_LANGUAGE')) ? '565' : '200';
										?>">
											<?php
												$size = 0;
												$key = $row->key;
												switch ($row->type) {
													case 'special':
														switch ($key) {
															case 'css_custom_styles':
																echo $this->css_themes;
																break;
															default:
																echo $this->$key;
																break;
														}
														break;
													case 'usergroup':
														if ($this->params->has->j15()) {
															$_userXML = new JSimpleXMLElement('_paramxmlnode', array(
																'type' => 'usergroup',
																'default' => $row->value,
																'size' => 9,
																'name' => $row->key
															));
														} else {
															$_userXML = new JXMLElement('<param type="usergroup" default="'.$row->value.'" title="'.$row->key.'" />');
														}
														$_userItem = new JElementUserGroup();
														// J!1.6 has this method protected
														// use JObject setter method instead of direct set
														$_dummy = new JmylifeViewConfigurationDummy();
														$_userItem->set( '_parent', $_dummy );
														echo $_userItem->fetchElement('', $row->value, $_userXML, $key);
														break;
													case 'radio':
														// build published radio
														$pubopts = array(
															JHTML::_('select.option', '1', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_YES') ),
															JHTML::_('select.option', '0', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_NO') )
														);
														echo JHTML::_( 'select.radiolist', $pubopts, $key, '', 'value', 'text', (int)$row->value, $key );
														break;
													case 'menuitem':
														if ($this->params->has->j15()) {
															$_menuXML = new JSimpleXMLElement('_menuxmlnode', array(
																'type' => 'menuitem',
																'state' => '1',
																'default' => '',
																'name' => $row->key
															));
														} else {
															$_menuXML = new JXMLElement('<menu type="menuitem" state="1" default="" title="'.$row->key.'" />');
														}
														$_menuItem = new JElementMenuItem();
														// J!1.6 has this method protected
														// use JObject setter method instead of direct set
														$_dummy = new JmylifeViewConfigurationDummy();
														$_menuItem->set( '_parent', $_dummy );
														//$_menuItem->_parent = new JmylifeViewConfigurationMenuDummy();
														echo $_menuItem->fetchElement( '', $row->value, $_menuXML, $key );
														break;
													case 'editor':
														// stupid webkit
														if( $this->params->getInt( 'disable_text_editors' ) == 0 )
														{
															echo $this->editor->display( $key, $row->value, '550', '400', '60', '20', false );
															break;
														}
													case 'textarea':
														$_isEditor = $row->type == 'editor';
														echo '<textarea cols="'.( $_isEditor ? '80' : '25' ).'" rows="'.( $_isEditor ? '20' : '6' ).'" name="'.$key.'">'.$row->value.'</textarea>';
														break;
													case 'color':
														$_dummy = new JmylifeViewConfigurationDummy();
														$_colorpicker = new JElementColor();
														echo $_colorpicker->fetchElement( $key, preg_replace( '`^\#`', '', $row->value ), $_dummy, $key, false, array( 'safari' => 1 ) );
														break;
													case 'int':
														$size = 6;
													case 'text':
													default:
														if (0 == $size) {
															$size = ($row->group == 'COM_JMYLIFE_CONFIGURATION_GROUP_EMAILTEXTS' ? 80 : 25);
														}
														// certain elements need an id for js targetting
														if (preg_match('`^disqus`', $key))
															$inputid = ' id="'.$key.'"';
														else
															$inputid = '';
														echo '<input type="text"'.$inputid.' name="'.$key.'" value="'.$row->value.'" size="'.$size.'" />';
														break;
												}
											?>
										</td>
										<td valign="top">
											<?php echo JText::_( $row->description ); ?>
										</td>
									</tr><?php
								// since 1.0.9, handle this a wee bit different, to accommodate the css editor
								if( $row->key == 'css_custom_styles' ): ?>
									<tr class="<?php echo "row$k"; ?>">
										<td valign="top" width="200">&nbsp;</td>
										<td colspan="2">
										<div><?php echo JText::_('COM_JMYLIFE_CONFIGURATION_CSSHINTS'); ?></div>
										<iframe id="jmlPreview" src="<?php echo JRoute::_('index.php?option=com_jmylife&view=configuration&controller=configuration&task=preview'); ?>" width="575" height="275" border="0" frameborder="0"></iframe><br />

											<textarea id="css_file_contents" name="css_file_contents" cols="80" rows="12"><?php echo $this->css_file_contents; ?></textarea>
											<script type="text/javascript">
											//<!--
												var $css = "<?php
													echo JRoute::_('index.php?option=com_jmylife&view=configuration&controller=configuration&task=loadcss&tmpl=component', false);
												?>";
												var $href = "<?php
													echo JRoute::_('index.php?option=com_jmylife&view=configuration&controller=configuration&task=preview&tmpl=component', false);
												?>";

												var jmlStyleChange = function( el ) {
													var $val = $('css_custom_styles').value || '0';
													var $ta = $('css_file_contents');
													if( $val.toString() == '' || $val.toString() == '0' ) {
														$ta.value = '';
														$('jmlPreview').setAttribute('src',$href);
														return;
													}
													$('jmlPreview').setAttribute('src',$href+'&file='+$val);
													try {
														new Ajax( $css+'&file='+$val, {
															method: 'get',
															onComplete: function( response ) {
																$ta.value = response;
															}
														}).request();
													}
													catch( err ) {
														new Request({
															url: $css+'&file='+$val,
															method: 'get',
															onComplete: function( response ) {
																$ta.set( 'value', response );
															}
														}).send();
													}
												}
												window.addEvent( 'load', jmlStyleChange );
												$('css_custom_styles').addEvent( 'change', jmlStyleChange );
											// -->
											</script>
										</td>
									</tr>
								<?php
						endif;
						// check next group
						$nextparts = array(@$this->config[$i+1]->group, @$this->config[$i+1]->subgroup);
						if (0 < strlen($subgroup) && $nextparts[1] != $subgroup) : ?>
												</tbody>
											</table>
						<?php
							echo $this->slider->endPanel();
						endif;
						if ($nextparts[0] != $group) :
							if (0 < strlen($subgroup)) :
								echo $this->slider->endPane();
							?>
										</td>
									</tr><?php
								$subgroup = '';
							endif; ?>
								</tbody>
							</table>
				<?php
							echo $this->pane->endPanel();
						endif;
					}
					echo $this->pane->endPane();
				?>
					</div>
				</div>
			</td>
		</tr>
	</tbody>
</table>
<input type="hidden" name="option" value="com_jmylife" />
<input type="hidden" name="view" value="configuration" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="configuration" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<script type="text/javascript">
// <!--
	function closeAccordion() {
		// loop dd tags
		$$('.current dd').each(function(dd) {
			var sliderFixTarget = dd.getElement( '.jpane-toggler-down' );
			if (sliderFixTarget) {
				sliderFixTarget.fireEvent('click');
			}
		});
	}
	$$('dl.tabs dt').each(function(el) {
		el.addEvent('click', function(ev) {
			// set cookie
			try {
				Cookie.set('jmlConfigTab', el.getAttribute('id'));
			}
			catch (err) {
				var dt = el;
				while (dt.get('tag') != 'dt' && dt.get('tag') != 'body') {
					dt = dt.getParent();
				}
				var cookieValue = dt.get('class').replace(/\s+.*$/,'');
				Cookie.write('jmlConfigTab', cookieValue);
			}
			setTimeout(closeAccordion, 10);
		});
	});
	window.addEvent('load', function() {
		setTimeout(closeAccordion, 100);
		// get cookie value, set tab accordingly
		var jmlCookieValue;
		try {
			jmlCookieValue = Cookie.get('jmlConfigTab');
		}
		catch (err) {
			jmlCookieValue = Cookie.read('jmlConfigTab');
		}
		if (jmlCookieValue) {
			try {
				$(jmlCookieValue).fireEvent('click');
			}
			catch(err) {
				$$('.'+jmlCookieValue).fireEvent('click');
			}
		}
		// try to add disqus forum link action
		$forumKeyLink = $('disqusForumKey');
		if ($forumKeyLink) {
			$forumKeyLink.addEvent('click', function(ev) {
				new Event(ev).stop();
				// fetch API key
				var $apikey = $('disqus_api_key').getValue();
				var $shortname = $('disqus_shortname').getValue();
				// only fetch forum key if API key is filled in
				if ($apikey != '') {
					// in order to "bypass" security policy use internal controller to fetch forum key
					$href = 'index.php?option=com_jmylife&view=configuration&task=fetchdisqusforumkey&controller=configuration&apikey=' + $apikey + '&shortname=' + $shortname;
					try {
						new Ajax($href, {
							method: 'get',
							onComplete: function(response) {
								if (!response.toString().match(/[a-zA-Z0-9]*/) || response.toString().length == 0) {
									alert('<?php echo JText::_('COM_JMYLIFE_ERROR_CONFIGURATION_DISQUS_FORUM_KEY'); ?>');
								}
								document.getElementById('disqus_forum_key').value = response.toString();
							}
						}).request();
					}
					catch(err) {
						new Request({
							url: $href,
							method: 'get',
							onComplete: function(response) {
								document.getElementById('disqus_forum_key').value = response.toString();
							}
						}).send();
					}
				}
			});
		}
	});
// -->
</script>