<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/views/moderate/tmpl/form.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo JmylifeCommon::updateBar();
?>
<form id="adminForm" action="<?php echo JRoute::_( 'index.php' );?>" method="post" name="adminForm" onsubmit="(function(){if(window.jmlWYSIWYG==1){try{doCheck();}catch(err){}}})();">
<table cellpadding="5" cellspacing="5" width="99%">
	<col width="75%" />
	<col width="*" />
	<tr>
		<td valign="top">
			<table class="adminform" width="100%"><?php
				// only show title if it's turned on
				if ($this->cparams->getInt('allow_titles')) : ?>
				<tr>
					<td colspan="4">
						<input type="text" name="title" id="title" class="inputboxtitle inputbox<?php echo ($this->cparams->getInt('require_titles') ? ' required' : '' ); ?>" value="<?php echo $this->item->title; ?>" /><br />
						<label for="title"><?php echo JText::_('COM_JMYLIFE_STORY_TITLE_TITLE'); ?>
					</td>
				</tr><?php
				endif;
				?>
				<tr>
					<td colspan="4">
						<div id="comJMyLifeStorySubmitText">
							<?php if ($this->wysiwyg) : ?>
							<div class="editbar">
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_BOLD'); ?>" onclick="doClick('bold');" type="button"><b>B</b></button>
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_ITALIC'); ?>" onclick="doClick('italic');" type="button"><i>I</i></button>
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_UNDERLINE'); ?>" onclick="doClick('underline');" type="button"><u>U</u></button><?php
								if( $this->cparams->getInt( 'wysiwyg_links', 1 ) == 1 ): ?>
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_LINK'); ?>" onclick="doLink();" type="button" style="background-image:url('<?php echo $this->wysiwygpath; ?>images/url.gif');"></button><?php
								endif;
								if( $this->cparams->getInt( 'wysiwyg_images', 1 ) == 1 ): ?>
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_IMAGE'); ?>" onclick="doImage();" type="button" style="background-image:url('<?php echo $this->wysiwygpath; ?>images/img.gif');"></button><?php
								endif;
								if( $this->cparams->getInt( 'wysiwyg_list', 1 ) == 1 ): ?>
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_LIST'); ?>" onclick="doClick('InsertUnorderedList');" type="button" style="background-image:url('<?php echo $this->wysiwygpath; ?>images/icon_list.gif');"></button><?php
								endif;
								if( $this->cparams->getInt( 'wysiwyg_color', 1 ) == 1 ): ?>
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_COLOR'); ?>" id="jmlWysiwygColorButton"<?php /* onclick="showColorGrid2('none')"*/?> type="button" style="background-image:url('<?php echo $this->wysiwygpath; ?>images/colors.gif');"></button><span id="colorpicker201" class="colorpicker201"></span><?php
								endif; ?>
								<button title="<?php echo JText::_('COM_JMYLIFE_WYSIWYG_BUTTON_SOURCE'); ?>" class="htmlswitch" type="button" onclick="javascript:SwitchEditor()" style="background-image:url('<?php echo $this->wysiwygpath; ?>images/icon_html.gif');"></button>
							</div>
							<?php endif; ?>
							<textarea name="fulltext" id="fulltext" style="width:600px;height:300px;"><?php echo $this->item->fulltext; ?></textarea>
						</div>
						<div id="comJMyLifeStoryVersions"><?php
							$versionText = JText::sprintf('COM_JMYLIFE_STORY_VERSIONCOUNT', count($this->versions));
							if (count($this->versions)) {
								echo $this->html->link('#', $versionText);
								?><div id="comJMyLifeStoryPreviousVersions"><?php
								foreach ($this->versions as $version) {
									$this->curversion = $version;
									echo $this->loadTemplate('version');
									unset ($this->curversion);
								}
								?></div><?php
							} else {
								echo $versionText;
							}
						?></div>
					</td>
				</tr>
				<tr>
					<td><label for="catid"><?php echo JText::_('COM_JMYLIFE_STORY_TITLE_CATEGORY'); ?></td>
					<td><?php echo $this->categories; ?></td>
					<td><label for="published"><?php echo JText::_('COM_JMYLIFE_CORE_PUBLISHED'); ?></td>
					<td><?php echo $this->published; ?></td>
				</tr>
			</table>
			<?php
				if ($this->cparams->getInt('allow_storyattachment')) : ?>
			<table class="adminform" width="100%">
				<tr>
					<td colspan="2"><?php echo $this->attachbar; ?></td>
				</tr>
			</table>
				<?php
				endif;
			?>
			<table class="adminform" width="100%">
				<tr>
					<td valign="top"><label for="admin_fulltext"><?php echo JText::_('COM_JMYLIFE_STORY_TITLE_ADMIN_RESPONSE'); ?></td>
					<td><textarea name="admin_fulltext" id="admin_fulltext" style="width:600px;height:300px;"><?php echo $this->item->admin_fulltext; ?></textarea></td>
				</tr>
			</table>
		</td>
		<td valign="top">
			<?php
				echo $this->pane->startPane("item-pane");
				echo $this->pane->startPanel(JText::_('COM_JMYLIFE_STORY_EDIT_USERDETAILS'), "detail-page");
			?>
			<table class="admintable" width="100%">
				<tr>
					<td><label for="user_alias"><?php echo JText::_('COM_JMYLIFE_STORY_TITLE_AUTHOR'); ?></td>
					<td><input type="text" name="user_alias" id="user_alias" class="inputbox required" value="<?php echo $this->item->user_alias; ?>" /></td>
				</tr><?php
					if ( 0 == $this->item->user_id ) : ?>
				<tr>
					<td><label for="user_email"><?php echo JText::_('COM_JMYLIFE_STORY_TITLE_EMAIL'); ?></td>
					<td><input type="text" name="user_email" id="user_email" class="inputbox" value="<?php echo $this->item->user_email; ?>" /></td>
				</tr><?php
					endif; ?>
			</table><?php
				echo $this->pane->endPanel();
				echo $this->pane->startPanel(JText::_('COM_JMYLIFE_STORY_EDIT_OPTIONS'), "options-page");
			?>
			<table class="admintable" width="100%">
				<tr>
					<td><label for="allow_comments"><?php echo JText::_('COM_JMYLIFE_CORE_ALLOWCOMMENTS'); ?></td>
					<td><?php echo $this->allow_comments; ?></td>
				</tr>
				<tr>
					<td><label for="allow_votes"><?php echo JText::_('COM_JMYLIFE_CORE_ALLOWVOTES'); ?></td>
					<td><?php echo $this->allow_votes; ?></td>
				</tr>
			</table><?php
				echo $this->pane->endPanel();
				echo $this->pane->startPanel(JText::_('COM_JMYLIFE_STORY_EDIT_INFO'), "info-page");
			?>
			<table class="admintable" width="100%">
				<tr>
					<td><strong><?php echo JText::_('COM_JMYLIFE_STORY_GOODVOTES'); ?></strong></td>
					<td><?php echo $this->item->votes1; ?></td>
				</tr>
				<tr>
					<td><strong><?php echo JText::_('COM_JMYLIFE_STORY_BADVOTES'); ?></strong></td>
					<td><?php echo $this->item->votes2; ?></td>
				</tr>
				<tr>
					<td><strong><?php echo JText::_('COM_JMYLIFE_STORY_COMMENTS'); ?></strong></td>
					<td><?php echo $this->item->numcomments; ?></td>
				</tr>
			</table><?php
				echo $this->pane->endPanel();
				echo $this->pane->endPane();
			?>
		</td>
	</tr>
</table>
<input type="hidden" name="option" value="com_jmylife" />
<input type="hidden" name="view" value="moderate" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="moderate" />
<input type="hidden" name="cid" value="<?php echo $this->item->id; ?>" />
<input type="hidden" name="user_id" value="<?php echo $this->item->user_id; ?>" />
<input type="hidden" name="attachment[url]" id="jmlAttachUrlField" value="<?php echo $this->item->attachment_url; ?>" />
<input type="hidden" name="attachment[type]" id="jmlAttachTypeField" value="<?php echo $this->item->attachment_type; ?>" />
<input type="hidden" name="attachment[thumb]" id="jmlAttachThumbField" value="<?php echo $this->item->attachment_thumb; ?>" />
<input type="hidden" name="attachment[usethumb]" id="jmlAttachUseThumbField" value="<?php echo $this->item->attachment_usethumb; ?>" />
<input type="hidden" name="attachment[title]" id="jmlAttachTitleField" value="<?php echo $this->item->attachment_title; ?>" />
<input type="hidden" name="attachment[description]" id="jmlAttachDescriptionField" value="<?php echo $this->item->attachment_description; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
<script type="text/javascript">
// <!--
function submitbutton(pressbutton) {
	if (pressbutton != 'cancel') {
		try {
			doCheck();
		} catch( err ){}
		if ($('user_alias').getValue() == '') {
			alert( '<?php echo JText::_('COM_JMYLIFE_ERROR_STORY_UNDEFINEDALIAS'); ?>' );
			return false;
		}
		if ($('catid').getValue() == 0) {
			alert( '<?php echo JText::_('COM_JMYLIFE_ERROR_STORY_NOCATEGORY'); ?>' );
			return false;
		}
		if ($('fulltext').getValue() == '' && <?php echo ( 0 == $this->cparams->getInt('allow_attachment_blankstory') ? 'true' : 'false' ); ?>) {
			alert( '<?php echo JText::_('COM_JMYLIFE_ERROR_STORY_NOTEXT'); ?>' );
			return false;
		}
	}
	submitform(pressbutton);
	return true;
}
(function($){
	$(document).ready(function(){
		$('#comJMyLifeStoryVersions a').click(function(e){
			try {
				doCheck();
			} catch( err ){}
			try {
				$('#comJMyLifeStoryPreviousVersionsModal').remove();
			} catch( err ){}
			$.fn.nyroModalManual({
				content: $('<div id="comJMyLifeStoryPreviousVersionsModal"></div>').html($('#comJMyLifeStoryPreviousVersions').html())
			});
			e.preventDefault();
			return false;
		});
	});
})(window.jml.jQuery);
// -->
</script>