/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/assets/js/ajaxClick.js
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
(function($){
	$(document).ready(function() {
		$('a.sendfriend_link').each(function() {
			$(this).click(function() {
				$(this).css({'display':'none'}).next().css({'display':'inline'});
				return false;
			});
		});
		$('.comJMyLifeItemVoteLink, a.favorite_link, a.unsubscribe_link, a.reportstory_link').each(function() {
			var this_ = $(this);
			this_.click(function() {
				var href = this_.attr('href') + '&ajax=1';
				$.ajax({
					type: "GET",
					url: href,
					success: function(data, textStatus, XMLHttpRequest) {
						this_.text(data);
					}
				});
				return false;
			});
		});
		$('.comJMyLifeItemGraphicVoteLink').each(function() {
			var this_ = $(this);
			this_.click(function() {
				var href = this_.attr('href') + '&ajax=1';
				$.ajax({
					type: "GET",
					url: href,
					success: function(data, textStatus, XMLHttpRequest) {
						var r = eval('('+data+')');
						if (r.success) {
							this_.find('.comJMyLifeItemGraphicVoteText').text(r.msg);
							this_.find('.comJMyLifeItemGraphicVoteCount').text(r.count);
						} else {
							alert(r.msg);
						}
					}
				});
				return false;
			});
		});
		var jmlEmailSend;
		if (jmlEmailSend = $('input.jmlEmailSend')) {
			jmlEmailSend.each(function() {
				var this_ = $(this);
				this_.click(function() {
					var email = this_.prev().val();
					var href  = this_.next().val();
					href = href + (href.match(/\?/)?'&':'?') + 'email=' + email + '&ajax=1';
					$.ajax({
						type: "GET",
						url: href,
						success: function(data, textStatus, XMLHttpRequest) {
							this_.parent().html(data);
						}
					});
					return false;
				});
			});
		}
	});
})(window.jml.jQuery);