<?php
/**
 * Categories Default Layout for JMyLife Component
 *
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/categories/tmpl/default.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @since      1.0.11
 */
// No direct access
defined('_JEXEC') or die('Restricted access');
if( $this->params->get( 'showsitetitle', 1 ) ) : ?>
<h2 class="componentheading"><?php echo $this->title; ?></h2><?php
endif;
// styles for items
$_style = strlen( $this->color ) > 0 ? ' style="background-color: '.$this->color.';"' : '';
// only show description if enabled & inside a category
if( $this->params->get( 'showsitedesc', 1 ) == 1 && strlen( $this->description ) > 0 ):
?>
<div class="comJMyLifeItem jmylifeRound" <?php echo $_style; ?>>
	<?php echo $this->description; ?>
</div>
<?php endif; ?>
<form method="post" name="jmylifeForm" id="jmylifeForm" action="<?php echo JRoute::_( 'index.php' ); ?>">
<?php
// loop listings
if( sizeof( $this->categories ) != 0 )
{
	foreach( $this->categories as $item )
	{
		$this->curitem =& $item;
		echo $this->loadTemplate('item');
		unset( $this->curitem );
	}
}
// pagination footer
$_links = $this->pagination->getPagesLinks();
$_counter = $this->pagination->getPagesCounter();
if( strlen( $_links ) > 0 && strlen( $_counter ) > 0 ): ?>
<div class="comJMyLifeItem jmylifeRound" <?php echo $_style; ?>>
	<div class="comJMyLifePagesLinks"><?php echo $_links; ?></div>
	<div class="comJMyLifePagesCounter"><?php echo $_counter; ?></div>
</div>
<?php endif;
// hidden form fields
echo $this->fields; ?>
</form>